<sqtm-core-customisable-dialog
  [titleKey]="configuration.titleKey"
  [dialogId]="configuration.id"
>
  <sqtm-core-dialog-body>
    <div class="flex-row body-content m-t-5">
      @switch (configuration.level) {
        @case ('INFO') {
          <i
            nz-icon
            class="sqtm-core-icon"
            nzType="info-circle"
            nzTheme="twotone"
            [nzTwotoneColor]="'#1890FF'"
          ></i>
        }
        @case ('DANGER') {
          <i
            nz-icon
            class="sqtm-core-icon"
            nzType="exclamation-circle"
            nzTheme="twotone"
            [nzTwotoneColor]="'#FF0000'"
          ></i>
        }
        @case ('WARNING') {
          <i
            nz-icon
            class="sqtm-core-icon"
            nzType="exclamation-circle"
            nzTheme="twotone"
            [nzTwotoneColor]="'#FAAD14'"
          ></i>
        }
      }
      <span
        [attr.data-test-dialog-message]="true"
        [innerHTML]="configuration.messageKey | translate"
      ></span>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'confirm'"
      class="flex-fixed-size"
      nz-button
      nzType="primary"
      (click)="confirm()"
    >
      {{ configuration.confirmButtonText | translate }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ configuration.cancelButtonText | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
